import React, { useState, useEffect } from "react";
import { useResourcesApi } from "../../../api";

const ResourcesContainer = () => {
  const [state, setState] = useState({ loaded: false });
  const { getMimeTypes } = useResourcesApi();

  useEffect(() => {
    getMimeTypes({
      onCompleted: (data) => {
        const dta = Object.assign(data, { loaded: true });
        setState(dta);
      }
    });
  }, [getMimeTypes]);

  return <div>I'm alive!</div>;
};

export default ResourcesContainer;
